Analytics
Routes for Sign API analytics and logging.
Fetch agents
GEThttps://api.eulerstream.com/analytics/agents
Retrieve the currently connected agents
Responses
code*number (double)
messagestring
agents*object[]
Response200
Get hosts
GEThttps://api.eulerstream.com/analytics/hosts
Retrieve the list of API hosts (used for horizontal scaling)
Responses
code*number (double)
messagestring
hostsobject[]
Response200
Pips
GEThttps://api.eulerstream.com/analytics/pips
Retrieve stats as an SVG
Query Parameters
labelColourstring=
"#555"Specify label colour in SVG
valueColourstring=
"#007ec6"Specify value colour in SVG
hoursnumber (double)=
1The number of hours to retrieve the stat for
clientenum
Logical "client name" recorded against each request — supplied by the caller via the metadata.client_name RPC field. Free-form on the wire, but conventionally one of the values below.
jsonboolean=
falseAdd the ability to retrieve the pip as JSON
Responses
code*number (double)
messagestring
image_url*string
label*string
value*number (double)
unit*string
Response200